doctest-parallel-0.4: Test interactive Haskell examples

Safe Haskell | None
Language | Haskell2010

Test.DocTest.Internal.Runner.Example

# Documentation

data Result Source #

Constructors

Equal |
NotEqual [String] |

#### Instances

Instances details

Show Result Source # |
Instance details Defined in Test.DocTest.Internal.Runner.Example Methods showsPrec :: Int -> Result -> ShowS Source # show :: Result -> String Source # showList :: [Result] -> ShowS Source #
Eq Result Source # |
Instance details Defined in Test.DocTest.Internal.Runner.Example Methods (==) :: Result -> Result -> Bool Source # (/=) :: Result -> Result -> Bool Source #

mkResult :: ExpectedResult -> [String] -> Result Source #